Subject: Re: Ignore on commit

From: Andrew Wong <[email-masked]>
Date: Thu, 04 Oct 2012 19:02:34 -0400

On 10/04/2012 05:20 PM, Marco Craveiro wrote:
> Similar but not quite; the idea is that you know that there is some
> code (I'm just talking about files here, so lets ignore hunks for the
> moment) which is normally checked in but for a period of time you want
> it ignored. So you don't want it git ignored but at the same time you
> don't want to see these files in the list of modified files.
The way I usually handle this scenario is by actually making a temporary 
commit with those temporary changes. And whenever I make a permanent 
commit, I'll use "rebase -i" to rearrange the commits so that all my 
permanent commits go before my temporary commits. So when I need to 
push, I'll just push up till before my temporary commits.

This way I also get to make permanent changes in files that I have 
temporary changes.